{
	"format_version": "1.10.0",
	"animation_controllers": {
	  "controller.animation.entity.nicothekid_glow_bird.movement": {
			"initial_state": "walking",
			"states": {
				"walking": {
					"animations": [
						{
							"walking": "query.modified_move_speed"
						}
					],
					"blend_transition": 0.2,
					"transitions": [
						{
							"flying": "!query.is_on_ground"
						},
						{
							"sitting": "query.is_sitting"
						},
						{
							"swimming": "query.is_in_water"
						}
					]
				},
				"flying": {
					"animations": [ "flying" ],
					"blend_transition": 0.1,
					"transitions": [
					  {
							"sitting": "query.is_sitting"
						},
						{
							"swimming": "query.is_in_water"
						},
						{
					    "walking": "query.is_on_ground"
					  }
					]
				},
				"sitting": {
					"animations": [ "sitting" ],
					"blend_transition": 0.3,
					"transitions": [
					  {
							"flying": "!query.is_on_ground"
						},
					  {
							"swimming": "query.is_in_water"
						},
						{
							"walking": "!query.is_sitting"
						}
					]
				},
				"swimming": {
					"animations": [ "swimming" ],
					"blend_transition": 0.1,
					"transitions": [
					  {
							"flying": "!query.is_on_ground"
						},
						{
							"sitting": "query.is_sitting && query.is_on_ground"
						},
					  {
					    "walking": "query.is_on_ground"
					  }
					]
				}
			}
		}
	}
}
